Send Presence Subscription
curl --request POST \
--url https://{host}/Agent/Xmpp/SendPresenceSubscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"customXml": "<string>",
"language": "<string>",
"id": "<string>"
}
'import requests
url = "https://{host}/Agent/Xmpp/SendPresenceSubscription"
payload = {
"to": "<string>",
"customXml": "<string>",
"language": "<string>",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '<string>', customXml: '<string>', language: '<string>', id: '<string>'})
};
fetch('https://{host}/Agent/Xmpp/SendPresenceSubscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sent": true,
"id": "<string>",
"RosterItem": {
"bareJid": "<string>",
"pendingSubscription": true,
"status": "<string>",
"name": "<string>",
"Groups": [
"<string>"
]
}
}XMPP messaging
Send Presence Subscription
Allows the client to send a presence subscription from its account to an XMPP recipient.
POST
/
Agent
/
Xmpp
/
SendPresenceSubscription
Send Presence Subscription
Overview
Allows the client to send a presence subscription from its account to an XMPP recipient. If the account to which the client is logged in has an approved Legal ID associated with it, this ID will be included in the request, to allow the recipient to know who has made the request.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I